<?php
  // temporary task details/comment page - htv http://haris.tv
  set_page_title('Task details');
  project_tabbed_navigation(PROJECT_TAB_TASKS);
  project_crumbs(array(
    array(lang('tasks'), get_url('task')),
    array($task_list->getName(), $task_list->getViewUrl()),
    array('Task details')
  ));

  $options = array();
  if($task->canEdit(logged_user())) $options[] = '<a href="' . $task->getEditUrl() . '">' . lang('edit') . '</a>';
  if($task->canDelete(logged_user())) $options[] = '<a href="' . $task->getDeleteUrl() . '" onclick="return confirm(\'' . lang('confirm delete task') . '\')">' . lang('delete') . '</a>'
?>

<div id="taskDetails" class="block">
  <div class="header"><?php echo $task->getText() ?></div>
  <div class="content">
    <div id="taskInfo">
      <!--<div id="taskDescription">empty</div>-->
	  <?php if($task->getAssignedTo()) { ?>
	    <div id="taskAssigned"><?php echo 'Assigned to: ' . clean($task->getAssignedTo()->getObjectName()) ?></div>
	  <?php } // if ?>
	  <?php if(count($options)) { ?>
        <div id="taskOptions"><?php echo implode(' | ', $options) ?></div>
	   <?php } // if ?>
    </div>
  </div>
  <div class="clear"></div>
</div>

<?php echo render_object_comments($task, $task->getDetailsUrl()) ?>